use warnings;
use strict;
use Carp;

BEGIN { require 't/.lib.t' }
plan tests => 9;

my @id;

init_gpg_homedir();

throws_ok { gpg_decrypt()                       } qr/Usage/;
throws_ok { gpg_decrypt(0, 0)                   } qr/Usage/;
throws_ok { gpg_decrypt(undef)                  } qr/undefined/;
throws_ok { gpg_decrypt(q{})                    } qr/decrypt_message failed/;
throws_ok { gpg_decrypt('junk')                 } qr/decrypt_message failed/;

gpg_import($PUB_KEY{ $KEY_ID[0] });
my $encr = gpg_encrypt('test', [$KEY_ID[0]]);

throws_ok { gpg_decrypt($encr)                  } qr/secret key not available/;

init_gpg_homedir();
throws_ok { gpg_decrypt($encr)                  } qr/secret key not available/;

gpg_import($PUB_KEY{ $KEY_ID[0] });
gpg_import($SEC_KEY{ $KEY_ID[1] }, 1);
$encr = gpg_encrypt('test', [@KEY_ID[0,1]]);
my $plain;
lives_ok { ($plain) = gpg_decrypt($encr)        } 'decrypted';
is($plain, 'test',                                '  ok');

